Subject: Re: [RFC/PATCH] powerpc: Add irqtrace support to 32-bit powerpc

From: Dale Farnsworth <[email-masked]>
Date: Fri, 4 Apr 2008 14:29:52 -0700

On Fri, Apr 04, 2008 at 09:33:18PM +0200, Johannes Berg wrote:
> On Wed, 2008-04-02 at 16:15 +0200, Johannes Berg wrote:
> > On Fri, 2008-02-01 at 12:50 -0700, Dale Farnsworth wrote:
> > > This adds the low level irq tracing hooks for 32-bit powerpc.
> > > This patch applies on top of Benjamin Herrenschmidt's patch that
> > > provides similar support for 64-bit powerpc.  See
> > > <http://ozlabs.org/pipermail/linuxppc-dev/2007-October/044361.html>
> > > 
> > > It seems to work on my prpmc2800 board with a ppc7447.
> > 
> > At first it appears to work on my powerbook (with Ben's latest version
> > of the 64-bit patch), but then it seems to cause random corruption, I've
> > had a crash in the ext3 code and one in console_callback(), both of
> > which I cannot otherwise explain.
> 
> FWIW, same kernel without the patch works fine.

My apologies, Johannes.  I made some unwarranted assumptions about
register usage in the lowest-level exception handlers.  While it worked
on my 7447 board, I saw similar random failures on the 85xx (booke) system
I tried.

Thanks for testing this.

I'll follow up with a revised patch.

-Dale